org.cpsolver.coursett.preference

## Class AveragePreferenceCombination

- java.lang.Object
- - org.cpsolver.coursett.preference.PreferenceCombination
  - - org.cpsolver.coursett.preference.AveragePreferenceCombination

-     public class AveragePreferenceCombination
      extends PreferenceCombination

  Average preference combination.
  - If at least one preference is required → required
  - If at least one preference is prohibited → prohibited
  - Otherwise, mean value from the given preferences is returned
  Version:
    CourseTT 1.3 (University Course Timetabling)
    Copyright (C) 2006 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AveragePreferenceCombination()`
    `AveragePreferenceCombination(AveragePreferenceCombination c)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPreferenceInt(int intPref)` Returns combined preference from the given preferences
    `PreferenceCombination` | `clonePreferenceCombination()`
    `int` | `getPreferenceInt()`

    - ### Methods inherited from class org.cpsolver.coursett.preference.PreferenceCombination

      `addPreferenceProlog, getDefault, getPreferenceProlog, isProhibited, isRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AveragePreferenceCombination

          public AveragePreferenceCombination()

    - #### AveragePreferenceCombination

          public AveragePreferenceCombination(AveragePreferenceCombination c)

  - ### Method Detail

    - #### addPreferenceInt

          public void addPreferenceInt(int intPref)

      Description copied from class: `PreferenceCombination`
      Returns combined preference from the given preferences
      Overrides:
        `addPreferenceInt` in class `PreferenceCombination`
      Parameters:
        `intPref` - preference

    - #### getPreferenceInt

          public int getPreferenceInt()

      Specified by:
        `getPreferenceInt` in class `PreferenceCombination`

    - #### clonePreferenceCombination

          public PreferenceCombination clonePreferenceCombination()

      Specified by:
        `clonePreferenceCombination` in class `PreferenceCombination`